org.apache.olingo.commons.api.edm

## Enum TargetType

- java.lang.Object
- - java.lang.Enum<TargetType>
  - - org.apache.olingo.commons.api.edm.TargetType

- All Implemented Interfaces:
    Serializable, Comparable<TargetType>

      public enum TargetType
      extends Enum<TargetType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Action`
    `ActionImport`
    `And`
    `Annotation`
    `Apply`
    `Cast`
    `ComplexType`
    `EntityContainer`
    `EntitySet`
    `EntityType`
    `EnumType`
    `Eq`
    `Function`
    `FunctionImport`
    `Ge`
    `Gt`
    `If`
    `IsOf`
    `LabeledElement`
    `Le`
    `Lt`
    `Member`
    `NavigationProperty`
    `Ne`
    `Not`
    `Null`
    `OnDelete`
    `Or`
    `Parameter`
    `Property`
    `PropertyValue`
    `Record`
    `Reference`
    `ReferentialConstraint`
    `ReturnType`
    `Schema`
    `Singleton`
    `Term`
    `TypeDefinition`
    `URLRef`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getEdmClass()`
    `static TargetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Action

          public static final TargetType Action

    - #### ActionImport

          public static final TargetType ActionImport

    - #### Annotation

          public static final TargetType Annotation

    - #### Apply

          public static final TargetType Apply

    - #### Cast

          public static final TargetType Cast

    - #### ComplexType

          public static final TargetType ComplexType

    - #### EntityContainer

          public static final TargetType EntityContainer

    - #### EntitySet

          public static final TargetType EntitySet

    - #### EntityType

          public static final TargetType EntityType

    - #### EnumType

          public static final TargetType EnumType

    - #### Function

          public static final TargetType Function

    - #### FunctionImport

          public static final TargetType FunctionImport

    - #### If

          public static final TargetType If

    - #### IsOf

          public static final TargetType IsOf

    - #### LabeledElement

          public static final TargetType LabeledElement

    - #### Member

          public static final TargetType Member

    - #### NavigationProperty

          public static final TargetType NavigationProperty

    - #### Null

          public static final TargetType Null

    - #### OnDelete

          public static final TargetType OnDelete

    - #### Property

          public static final TargetType Property

    - #### PropertyValue

          public static final TargetType PropertyValue

    - #### Parameter

          public static final TargetType Parameter

    - #### Record

          public static final TargetType Record

    - #### ReferentialConstraint

          public static final TargetType ReferentialConstraint

    - #### ReturnType

          public static final TargetType ReturnType

    - #### Schema

          public static final TargetType Schema

    - #### Singleton

          public static final TargetType Singleton

    - #### Term

          public static final TargetType Term

    - #### TypeDefinition

          public static final TargetType TypeDefinition

    - #### URLRef

          public static final TargetType URLRef

    - #### Reference

          public static final TargetType Reference

    - #### And

          public static final TargetType And

    - #### Or

          public static final TargetType Or

    - #### Not

          public static final TargetType Not

    - #### Eq

          public static final TargetType Eq

    - #### Ne

          public static final TargetType Ne

    - #### Gt

          public static final TargetType Gt

    - #### Ge

          public static final TargetType Ge

    - #### Lt

          public static final TargetType Lt

    - #### Le

          public static final TargetType Le

  - ### Method Detail

    - #### values

          public static TargetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TargetType c : TargetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TargetType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getEdmClass

          public Class<?> getEdmClass()

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.